<template>
  <div class="user-list">
    <h2>Lista de usuarios</h2>
    <table>
      <thead>
        <tr>
          <th>Nombre</th>
          <th>Apellido</th>
          <th>Correo electrónico</th>
          <th>Contrasenya</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="(user, index) in users" :key="index">
          <td>{{ user.firstName }}</td>
          <td>{{ user.lastName }}</td>
          <td>{{ user.email }}</td>
          <td>{{ user.password }}</td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
export default {
  name: 'UsersList',
  props: {
    users: Array
  }
}
</script>

<style scoped>
table {
  border-collapse: collapse;
}

th, td  {
  border: 1px solid black;
  padding: 5px;
}
</style>